
Name:             grig
Version:          0.8.0
Release:          %mkrel 7
Summary:          A Ham Radio Control graphical user interface

Group:            Communications/Radio
License:          GPLv2+
URL:              http://groundstation.sourceforge.net/grig/
Source0:          http://prdownloads.sourceforge.net/groundstation/%{name}-%{version}.tar.gz
Patch1:           grig-0.8.0-automake-1.13.patch
Patch2:           glib-deprecated.patch
BuildRequires:    pkgconfig(gthread-2.0) >= 2.14.0
BuildRequires:    pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:    pkgconfig(hamlib) >= 1.2.8
BuildRequires:    desktop-file-utils
BuildRequires:    gettext-devel
BuildRequires:    intltool
BuildRequires:    gnome-common
Requires:         hamlib
Suggests:         hamlib-utils

%description
Grig is a graphical user interface for the Ham Radio Control
Libraries. It is intended to be simple and generic, presenting the
user to the same interface regardless of which radio he or she uses.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-dependency-tracking
%make

%install
%makeinstall_std
rm -rf %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_iconsdir}
cp -T %{buildroot}%{_datadir}/pixmaps/grig/ic910.png %{buildroot}%{_iconsdir}/grig.png

# Desktop file
install -d %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Terminal=false
Name=Grig
Comment=Amateur Radio Rig Control
StartupNotify=true
Categories=AudioVideo;Audio;HamRadio;X-Mageia-CrossDesktop;

EOF

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.8.0-7.mga4
+ Revision: 538874
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 barjac <barjac> 0.8.0-6.mga4
+ Revision: 490628
- do not run gnome-autogen.sh

* Thu Jun 20 2013 fwang <fwang> 0.8.0-5.mga4
+ Revision: 445189
- build more tools
- add debian patch to build with latest glib

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-5.mga3
+ Revision: 352625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.8.0-4.mga3
+ Revision: 339128
- patch1: fix build with automake 1.13
- use autoreconf+intltoolize and configure2_5x

* Fri Sep 28 2012 barjac <barjac> 0.8.0-3.mga3
+ Revision: 299036
- Changed group to new policy

* Fri Jan 06 2012 barjac <barjac> 0.8.0-2.mga2
+ Revision: 192559
- Edit to .desktop in spec

* Thu Jan 05 2012 barjac <barjac> 0.8.0-1.mga2
+ Revision: 191930
- Cleaned
- Removed un-needed versioned build requires
- Corrected BuildRequire: gettext to gettext-devel
- Moved desktop file from SOURCES to spec file
- Removed now un-needed Requires(post/un): desktop-file-utils
- Added Requires: hamlib as it's useless without it
- Added Suggests: hamlib-utils
- Added aclocal; autoconf
- Used macros for make and makeinstall
- Copied renamed icon to %%{_iconsdir }
- imported package grig


* Sun Oct 09 2011 cooly@gnome.eu.org - 0.8.0-1
- add language support
- drop all patches - fixed upstream
- new upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 08 2010 Lucian Langa <cooly@gnome.eu.org> - 0.7.2-9
- fix crash on clicking on lcd (#611947)

* Fri Nov 27 2009 Lucian Langa <cooly@gnome.eu.org> - 0.7.2-8
- improve desktop file (#530822)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 17 2008 Denis Leroy <denis@poolshark.org> - 0.7.2-5
- Rebuild with newer hamlib, gcc 4.3, EVR bump

* Tue Sep 25 2007 Denis Leroy <denis@poolshark.org> - 0.7.2-3
- Rebuild for new hamlib libraries

* Mon Aug 20 2007 Denis Leroy <denis@poolshark.org> - 0.7.2-2
- Updated License tag
- Added patch for new GtkTooltip interface

* Fri Dec 29 2006 Denis Leroy <denis@poolshark.org> - 0.7.2-1
- First version
